"""
SNS-SHTC3 low power high precision temperature and humidity encapsulated sensor in metal can

https://www.olimex.com/Products/Components/Sensors/Temperature/SNS-SHTC3F/

RP2040 PICO Miropython example

Note:
SNS-SHTC3 and SNS-SHT30 look similar but SNS-SHTC3 has red jumper wires to connect to PICO.
SNS-SHT30 has blue jumper wires to connect to PICO.

SNS-SHTC3 connection to PICO:

Black wire to GND pin.3
Brown wre to 3.3V pin.36
Blue wire to I2C1 SCL GP3 / pin.5
Yellow wire to I2C1 SDA GP2 / pin.4


"""
import time
from machine import Pin, I2C
from micropython_shtc3 import SHTC3

i2c = I2C(1, sda=Pin(2), scl=Pin(3))  # Correct I2C pins for RP2040
sht = SHTC3(i2c)

while True:
    temperature, relative_humidity = sht.measurements
    print("Temperature: {:0.1f} C".format(temperature))
    print("Humidity: {:0.1f} %".format(relative_humidity))
    print()
    time.sleep(3)

